## python-location 0.2-1

=== examples/gpscheck/Makefile ===

install:
	cp gpscheck /usr/bin/
	chmod +x /usr/bin/gpscheck
	cp gps.xpm /usr/share/pixmaps/
	cp gpscheck.desktop /usr/share/applications/hildon

uninstall:
	rm /usr/bin/gpscheck
	rm /usr/share/pixmaps/gps.xpm
	rm /usr/share/applications/hildon/gpscheck.desktop

## python-location 0.1

=== debian/changelog ===
python-location (0.1) unstable; urgency=low

  * Initial Release.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 26 Nov 2009 15:46:51 -0400

=== debian/control ===
Source: python-location
Section: devel
Priority: extra
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
Build-Depends: cdbs, debhelper (>= 5), python-central, python-dev, python-gtk2-dev, liblocation-dev, libgconf2-dev
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gobject
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for liblocation.

=== debian/rules ===
#!/usr/bin/make -f

# workaround to avoid calling Scratchbox python2.3
PATH := /usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE = /usr/bin/python
export SBOX_REDIRECT_IGNORE

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Add here any variable or target overrides you need.

clean::
	rm -f location.c

## python-location 0.2

=== debian/changelog ===
python-location (0.2) unstable; urgency=low

  * Add cell_info and satellite fields. Fixes MB#10234.
    Kudos to Javier Palacios <javiplx@gmail.com>.

 -- Lauro Neto <lauro.neto@openbossa.org>  Mon, 31 May 2010 10:50:15 -0300

## python-location 0.2-1

=== debian/changelog ===
python-location (0.2-1) unstable; urgency=low

  * Add debug package.

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 27 Jul 2010 16:16:36 -0300

=== debian/control ===
Source: python-location
Section: devel
Priority: extra
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
Build-Depends: cdbs, debhelper (>= 5), python-central, python-all-dev, python-all-dbg, python-gtk2-dev, liblocation-dev, libgconf2-dev, python-gobject-dbg
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gobject
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for liblocation.

Package: python-location-dbg
Architecture: any
Section: debug
Depends: python-location (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gobject-dbg
XB-Python-Version: ${python:Versions}
Description: Debug symbols for python-location

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,29 @@
 
 # Add here any variable or target overrides you need.
 
+DEB_DH_INSTALL_ARGS := --sourcedir=$(DEB_DESTDIR)
+DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0
+
+DEB_DH_STRIP_ARGS := --dbg-package=python-location-dbg
+
+
+build/python-location-dbg::
+	set -e; \
+	for i in $(cdbs_python_build_versions); do \
+		python$$i-dbg ./setup.py build; \
+	done
+
+install/python-location-dbg::
+	for i in $(cdbs_python_build_versions); do \
+		python$$i-dbg ./setup.py install --root=$(CURDIR)/debian/python-location-dbg; \
+	done
+	find debian/python-location-dbg \
+		! -type d ! -name '*_d.so' | xargs rm -f
+	find debian/python-location-dbg -depth -empty -exec rmdir {} \;
+
+binary-predeb/python-location-dbg::
+	rm -rf debian/python-location-dbg/usr/share/doc/python-location-dbg
+	ln -s python-location debian/python-location-dbg/usr/share/doc/python-location-dbg
+
 clean::
 	rm -f location.c
